Package Details: eclipse-platform 4.6.1-1

Git Clone URL: (read-only)
Package Base: eclipse-platform
Description: A minimal installation suitable for complete per-user customization with the built-in Eclipse package manager
Upstream URL:
Licenses: EPL
Conflicts: eclipse
Provides: eclipse=4.6.1
Submitter: None
Maintainer: eddy_hunter
Last Packager: eddy_hunter
Votes: 20
Popularity: 0.001396
First Submitted: 2010-06-28 15:30
Last Updated: 2016-09-29 15:27

Required by (84)

Sources (3)

Latest Comments

eddy_hunter commented on 2016-06-25 09:23

Thanks for the heads up, I've updated eclipse.desktop. I couldn't find an .svg icon for Neon anywhere and the other Eclipse packages (-java, -cpp, etc) don't even use one, so I took it away and added the 256x256 .png instead.

flortsch commented on 2016-06-24 18:55

Hey, the version string in eclipse.desktop should be adopted to 4.6.
Also a more recent eclipse icon could be used for this package.
Nevertheless nice work.

eddy_hunter commented on 2015-07-22 08:18

Updated to Mars, gtk3 is now used by default, to force gtk2 use SWT_GTK3=0

eddy_hunter commented on 2015-04-12 13:33

Updated to Luna, fixed a problem with 32-bit MD5 sum.

abadcafe commented on 2014-08-16 19:34

eclipse support gtk3 now, just add SWT_GTK3=1 into

abadcafe commented on 2012-12-14 17:12

eclipse needs not java-runtime, just java-runtime-headless is satisfied.

libwebkit is also redundant.

lahwaacz commented on 2012-10-06 14:04

Fixed PKGBUILD (bad icon symlink), v4.2.1:

lahwaacz commented on 2012-10-01 17:16

PKGBUILD for 4.2.1 version:

Anonymous comment on 2012-08-07 18:25


lahwaacz commented on 2012-07-15 12:49

Modified PKGBUILD for 4.2 version:

lahwaacz commented on 2012-07-15 11:58

Why does it depend on java-environment? I use eclipse-platform and eclipse-cdt without java-environment and everything works fine.

Shanto commented on 2011-05-19 12:25

Switched to libwebkit.

Shanto commented on 2011-04-11 23:59

It's weird but none of those workarounds worked on my setup (eclipse 3.6.2 with lots of PHP/DLTK/Web plugins). So, I decided to go for local xulrunner copy as the last option.

Anonymous comment on 2011-04-11 01:27

Alternative workaround, add this to eclipse.ini:

Another alternative if don't have libwebkit installed, add the following:


Shanto commented on 2011-04-10 06:09

Added internal xulrunner-1.9.2 because xulrunner-2.0.0 which comes with firefox-4.0 breaks the internal browser.

Shanto commented on 2011-04-10 02:26

Done (updating mirror link). Thanks!

Anonymous comment on 2011-04-05 07:28

please use link below. it can auto choose 'best' mirror.${pkgver}-${_pkgbuild}/eclipse-platform-${pkgver}-linux-gtk.tar.gz

Shanto commented on 2011-04-03 20:09

Updated to 3.6.2 (201102101200)